/*External CSS*/
body {
	background-color: lightblue;
}

p {
	background-color: coral;
	font-size: 50px;
}

span {
	background-color:  lightpink;
	color: darkgreen;
}


/*CSS Selectors*/

/*ID Selector - # symbol*/
#greeting {
	color:  red;
	font-size:  10px;
}

/*Class Selector - . symbol*/
.welcome {
	color: teal;
	letter-spacing: 5px;
}

/*Attribute Selector - [ ] symbol*/
[type="text"]  {
		background-color: orange;
}

/*Type Selector*/
section {
	font-size: 32px;
	/*text-align: right;*/
	/*float: right;*/
}

/*Universal Selector - * */
* {
	margin:  0;
	padding:  0;
}

/*CSS Selector Combinators*/

/*Descendant Selector (white space)*/
/*
div p {
	background-color: red;
}
*/

/*
#parent section p {
			background-color:  red;
}
*/


/*Child selector > symbol*/

/*
div > p {
	background-color:  red;
}
*/

/*
#parent > p {
	background-color: red;
}
*/


/*General Sibling Selector ~ symbol*/

/*
p ~ p {
	background-color: red;
}
*/


/*Adjacent Sibling  + symbol*/

p + p {
	background-color: red;
}
